# Created by pyp2rpm-3.3.2
%global pypi_name nox

Name:           python-%{pypi_name}
Version:        2020.12.31
Release:        %mkrel 2
Summary:        Flexible test automation
Group:          Development/Python
License:        Apache Software License
URL:            https://nox.thea.codes
Source0:        %{pypi_source}
Patch1:         nox-2019.4.11-add-shebang-to-tox_to_nox.jinja2.patch
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(virtualenv)
BuildRequires:  python3dist(py)
BuildRequires:  python3dist(colorlog)
BuildRequires:  python3dist(argcomplete)
BuildRequires:  python3dist(jinja2)
BuildRequires:  python3dist(tox)

%description
Nox - Flexible test automation for Python nox is a command-line tool that
automates testing in multiple Python environments, similar to tox_. Unlike tox,
Nox uses a standard Python file for configuration.The latest documentation is
available on Read the Docs.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
Obsoletes:      python2-nox-automation < 0.19.1-4
Obsoletes:      python3-nox-automation < 0.19.1-4
Requires:       python3dist(jinja2)
Requires:       python3dist(setuptools)
Requires:       python3dist(tox)

%description -n python3-%{pypi_name}
Nox - Flexible test automation for Python nox is a command-line tool that
automates testing in multiple Python environments, similar to tox_. Unlike tox,
Nox uses a standard Python file for configuration.The latest documentation is
available on Read the Docs.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{_bindir}/nox
%{_bindir}/tox-to-nox
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Mon Jan 11 2021 wally <wally> 2020.12.31-2.mga8
+ Revision: 1671135
- fix python(2,3)-nox-automation obsoletes

* Fri Jan 01 2021 kekepower <kekepower> 2020.12.31-1.mga8
+ Revision: 1667538
- Update to version 2020.12.31

* Wed Sep 02 2020 kekepower <kekepower> 2020.8.22-1.mga8
+ Revision: 1620843
- Update to version 2020.8.22

* Mon May 25 2020 kekepower <kekepower> 2020.5.24-1.mga8
+ Revision: 1587650
- Update to version 2020.5.24

* Mon Feb 17 2020 umeabot <umeabot> 2019.11.9-2.mga8
+ Revision: 1537780
- Mageia 8 Mass Rebuild

* Sun Nov 10 2019 kekepower <kekepower> 2019.11.9-1.mga8
+ Revision: 1459039
- Update to version 2019.11.9

* Thu Oct 10 2019 tv <tv> 2019.8.20-3.mga8
+ Revision: 1451059
- rebuild with python 3.8

* Sat Aug 24 2019 kekepower <kekepower> 2019.8.20-1.mga8
+ Revision: 1431544
- Update to version 2019.8.20

* Sat Jul 06 2019 kekepower <kekepower> 2019.5.30-1.mga8
+ Revision: 1419214
- Update to version 2019.5.30

* Fri Apr 12 2019 kekepower <kekepower> 2019.4.11-1.mga7
+ Revision: 1389497
- Update to version 2019.4.11

* Sun Mar 24 2019 daviddavid <daviddavid> 2018.10.17-2.mga7
+ Revision: 1379927
- relax colorlog dependency

* Mon Jan 14 2019 kekepower <kekepower> 2018.10.17-1.mga7
+ Revision: 1356824
- imported package python-nox

